package com.zhongshu.card.server.core.dao.devices;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.devices.extend.GateWayInfoDaoExtend;
import com.zhongshu.card.server.core.domain.devices.GateWayInfo;

import java.util.List;

/**
 * Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface GateWayInfoDao extends MongoDao<GateWayInfo>, GateWayInfoDaoExtend {

    GateWayInfo findTopByGateWayId(String gateWayId);

    List<GateWayInfo> findTop10ByGateWayIdLike(String gateWayId);

    GateWayInfo findTopById(String id);

}
